﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGanttView.UIElements;
using Infragistics.Win.UltraWinSchedule.TimelineView;
using Infragistics.Win.UltraWinSchedule;
using System.Drawing;

namespace GanttView
{
    public class MyDraw1 : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            TimeSlotUIElement slot = drawParams.Element as TimeSlotUIElement;
            if (drawPhase == DrawPhase.BeforeDrawBackColor && slot != null && slot.DateTimeRange.StartDateTime <= DateTime.Today && slot.DateTimeRange.EndDateTime > DateTime.Today)
            {
                drawParams.AppearanceData.BackColor = Color.Red;
                drawParams.AppearanceData.BackColor2 = Color.Green;
                drawParams.AppearanceData.BackGradientStyle = GradientStyle.GlassBottom37;
            }

            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            TimeSlotUIElement slot = drawParams.Element as TimeSlotUIElement;
            if (slot != null && slot.DateTimeRange.StartDateTime <= DateTime.Today && slot.DateTimeRange.EndDateTime > DateTime.Today)
                return DrawPhase.BeforeDrawBackColor;
            else
                return DrawPhase.None;
        }
    }

}
